Time Taken(HH): Code Reviewed By:

Module: HR-Employee Query

Description

History

#1 - 01/06/2025 11:59 AM - Arathy PS

GUI

-> Employe Code | Name - Input -> Check other Queries

*Module Privilege (In user)->View = Own Data then hide the section and Auto Load Login

*If Subordinate then allowed only login User and Subordinate Users

*Auto load login User data derfault

=> 'Profile' Tab - Ref: Account Query

=> More Join then 'Join' Tab Active - List - Join Date | Resiugn Date | Reson

=> 'Payment' Tab

-> Salary Sub Tab

— Input Year - Default Current Year - Select FY

- List # | Month(Eg: Jan—-2025) | Total EARNINGS | Total DESCRIPTION | Net Pay | View Details Icon | Download i
con

*View Salary Slip

*Download Option Salary Slip

->Current Lone/Advance Sub Tab

— Input Input Year (Currenrt) and The Selected Year Lone/Advance Doc No (Doc Date, Status) Select (Default Last)
- In Summary Need Status: Active/Closed, Lone/Advance Amount:, Paid:, Balance: , Account No, IFSC Code:, Bank:
, Branch:

— Details List Need(Paid) # | Date | Amount | Paid | Balance

—->ESI Account Sub Tab

- Input Year Select (Default Current FY)

— Summary - ESI No, Validity: Started - End(If) Date, Total Amount:, Basic Tearms & Conditions List

- List # | Month(Eg: Jan-2025) | Company contribute | Employee contribute | ESI Amount |

—>PF Account Sub Tab - Input Year Select (Default Current FY)

— Summary - PF No, Total Amount:

- List # | Month(Eg: Jan-2025) | Company contribute | Employee contribute | PF Amount |

#2 - 01/11/2025 10:43 AM - Arathy PS
- Subject changed from Employee Query to HR-Employee Query
- Module changed from Employee Query to HR-Employee Query

#3 - 01/11/2025 02:45 PM - Arathy PS
- Subject changed from HR-Employee Query to HRMS-Employee Query

#4 - 02/18/2025 10:22 AM - Theja Ponon

- Assignee changed from Mekha Sabu to aryamol Vh
